Documentation menu
Connected accounts
List the social accounts connected to your workspace.
GET /connected-accounts
Requires Authorization: Bearer <token>.
Query parameters
| Field | Type | Notes |
|---|---|---|
per_page | integernullable | 1–100 |
Example request
curl 'https://app.shoutrrr.com/api/v1/connected-accounts' \
-H 'Authorization: Bearer <token>' const res = await fetch('https://app.shoutrrr.com/api/v1/connected-accounts', {
method: 'GET',
headers: {
'Authorization': 'Bearer <token>',
},
});
const data = await res.json(); import requests
res = requests.get(
'https://app.shoutrrr.com/api/v1/connected-accounts',
headers={'Authorization': 'Bearer <token>'},
)
data = res.json() <?php
$ch = curl_init('https://app.shoutrrr.com/api/v1/connected-accounts');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer <token>',
],
]);
$data = json_decode(curl_exec($ch), true); Responses
200
| Field | Type | Notes |
|---|---|---|
datarequired | object | — |
paginationrequired | object | — |
per_pagerequired | integer | — |
next_cursorrequired | stringnullable | — |
prev_cursorrequired | stringnullable | — |
has_morerequired | boolean | — |
401 Unauthenticated
| Field | Type | Notes |
|---|---|---|
messagerequiredError overview. | string | — |
422 Validation error
| Field | Type | Notes |
|---|---|---|
messagerequiredErrors overview. | string | — |
errorsrequiredA detailed description of each field that failed validation. | object | — |